Loading...
Searching...
No Matches
scalar_base

The base class for scalar types. More...

`#include <scalar_base.hpp>`

Inheritance diagram for scalar_base:
[legend]

## Public Member Functions

type_id | type () const
| AMQP type of data stored in the scalar.
bool | empty () const
| True if there is no value, i.e. type() == NULL_TYPE.

## Friends

bool | operator< (const scalar_base &x, const scalar_base &y)
| Compare.
bool | operator== (const scalar_base &x, const scalar_base &y)
| Compare.
std::ostream & | operator<< (std::ostream &o, const scalar_base &x)
| Print the contained value.

## Detailed Description

The base class for scalar types.

The documentation for this class was generated from the following file:

- proton/scalar_base.hpp